%define major 7
%define libname %mklibname gif %{major}
%define develname %mklibname -d gif

%global __requires_exclude ^perl\\(getopts.pl\\)

Name:		giflib
Version:	5.1.6
Release:	%mkrel 1
URL:		http://giflib.sourceforge.net/
Summary:	Library for reading and writing gif images
License:	BSD like
Source:		http://downloads.sourceforge.net/giflib/%{name}-%{version}.tar.gz
Patch0:		giflib-Makefile.patch
Patch3:		giflib-5.0.5_CVE-2015-7555.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	xmlto
Group:		System/Libraries

%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package	progs
Summary:	Gif tools based on giflib
Group:		Graphics/Editors and Converters

%description	progs
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides some gif tools based on giflib.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and writing gif images

%description -n	%{libname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package -n	%{develname}
Group:		Development/C
Summary:	Development files for giflib
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libungif-devel = %{version}-%{release}
Provides:	ungif-devel = %{version}-%{release}

%description -n	%{develname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This packages provides the developement files for giflib.

%prep
%setup -q
%autopatch -p1

%build
%make_build \
CFLAGS="%{optflags} -std=gnu99 -fPIC -Wno-format-truncation" \
LDFLAGS="%{ldflags}"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} MANDIR=%{_mandir}/man1

rm -f %{buildroot}%{_libdir}/*.la

# Let's try to keep -lungif working for really old code
ln -s libgif.so %{buildroot}%{_libdir}/libungif.so

%files progs
%doc COPYING NEWS README TODO
%{_bindir}/gif2rgb
%{_bindir}/gifbuild
%{_bindir}/gifclrmp
%{_bindir}/gifecho
%{_bindir}/giffilter
%{_bindir}/giffix
%{_bindir}/gifinto
%{_bindir}/gifsponge
%{_bindir}/giftext
%{_bindir}/giftool
%{_mandir}/man1/*.1.*

%files -n %{libname}
%doc COPYING NEWS README TODO
%{_libdir}/libgif.so.%{major}
%{_libdir}/libgif.so.%{major}.*

%files -n %{develname}
%{_includedir}/gif_lib.h
%{_libdir}/libgif.so
%{_libdir}/libungif.so


%changelog
* Wed Feb 20 2019 ns80 <ns80> 5.1.6-1.mga6
+ Revision: 1368833
- new version 5.1.6 for CVE-2018-11490 and other security issues (mga#24378)

* Mon May 09 2016 luigiwalser <luigiwalser> 5.1.4-1.mga6
+ Revision: 1011359
- 5.1.4

* Thu Apr 21 2016 luigiwalser <luigiwalser> 5.1.2-4.mga6
+ Revision: 1004140
- add patch from opensuse to fix CVE-2016-3977

* Tue Mar 15 2016 tv <tv> 5.1.2-3.mga6
+ Revision: 991036
- rediff unappliable patch 2

* Thu Jan 07 2016 luigiwalser <luigiwalser> 5.1.2-2.mga6
+ Revision: 920420
- rebuild to see if it will actually upload

* Thu Jan 07 2016 luigiwalser <luigiwalser> 5.1.2-1.mga6
+ Revision: 920418
- 5.1.2
- library major is now 7
- remove upstreamed patch 1
- no more libungif (but still provide so link in devel package)
- fix files list

* Mon Jan 04 2016 luigiwalser <luigiwalser> 4.2.3-5.mga6
+ Revision: 919673
- add patch from fedora to fix CVE-2015-7555

* Wed Oct 15 2014 umeabot <umeabot> 4.2.3-4.mga5
+ Revision: 741285
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.2.3-3.mga5
+ Revision: 730850
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.2.3-2.mga5
+ Revision: 679566
- Mageia 5 Mass Rebuild

* Fri May 16 2014 fwang <fwang> 4.2.3-1.mga5
+ Revision: 622980
- 4.2.3

* Sat Oct 19 2013 umeabot <umeabot> 4.2.1-6.mga4
+ Revision: 533337
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 wally <wally> 4.2.1-5.mga4
+ Revision: 472625
- drop old Mdv era provides/obsoletes
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 4.2.1-4.mga3
+ Revision: 351546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Jan 04 2013 cjw <cjw> 4.2.1-3.mga3
+ Revision: 338570
- patch2: fix build with automake 1.13

* Sun Dec 02 2012 pterjan <pterjan> 4.2.1-2.mga3
+ Revision: 324839
- Export QuantizeBuffer for now as this is used by various apps
  It will be reintroduced as GifQuantizeBuffer in 5.0

* Fri Oct 12 2012 fwang <fwang> 4.2.1-1.mga3
+ Revision: 304805
- update rpm group
- new version 4.2.1

* Sat Sep 22 2012 fwang <fwang> 4.2.0-1.mga3
+ Revision: 296612
- update file list
- new version 4.2.0

* Mon Nov 21 2011 fwang <fwang> 4.1.6-9.mga2
+ Revision: 170384
- drop .la files
+ blino <blino>
- imported package giflib

* Wed Jan 12 2011 blino <blino> 4.1.6-8.mga1
+ Revision: 7618
- imported package giflib


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.6-8mdv2011.0
+ Revision: 605455
- rebuild

* Tue Jan 05 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.6-7mdv2010.1
+ Revision: 486488
- Provide libungif-devel

* Tue Jan 05 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.6-6mdv2010.1
+ Revision: 486305
- Add forgotten provide

* Mon Jan 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.6-5mdv2010.1
+ Revision: 486194
- Fix provides/obsoletes

* Mon Jan 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.6-4mdv2010.1
+ Revision: 486179
- Handle of libungif compatibility

* Mon Jan 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.6-3mdv2010.1
+ Revision: 486154
- Add buildrequire: libx11-devel
- P0: Fix format strings errors
  Fix libtool errors by using %%configure2_5x

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Sep 11 2008 Nicolas Vigier <nvigier@mandriva.com> 4.1.6-1mdv2009.0
+ Revision: 283798
- import giflib


